org.springframework.batch.core.repository.dao

## Class DefaultExecutionContextSerializer

- java.lang.Object
- - org.springframework.batch.core.repository.dao.DefaultExecutionContextSerializer

- All Implemented Interfaces:
    ExecutionContextSerializer, org.springframework.core.serializer.Deserializer<java.util.Map<java.lang.String,java.lang.Object>>, org.springframework.core.serializer.Serializer<java.util.Map<java.lang.String,java.lang.Object>>

      public class DefaultExecutionContextSerializer
      extends java.lang.Object
      implements ExecutionContextSerializer

  An implementation of the `ExecutionContextSerializer` using the default serialization implementations from Spring (`DefaultSerializer` and `DefaultDeserializer`).
  Since:
    2.2
  Author:
    Michael Minella

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultExecutionContextSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `deserialize(java.io.InputStream inputStream)` Deserializes an execution context from the provided `InputStream`.
    `void` | `serialize(java.util.Map<java.lang.String,java.lang.Object> context, java.io.OutputStream out)` Serializes an execution context to the provided `OutputStream`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.core.serializer.Serializer

      `serializeToByteArray`

    - ### Methods inherited from interface org.springframework.core.serializer.Deserializer

      `deserializeFromByteArray`

- - ### Constructor Detail

    - #### DefaultExecutionContextSerializer

          public DefaultExecutionContextSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(java.util.Map<java.lang.String,java.lang.Object> context,
                                java.io.OutputStream out)
                         throws java.io.IOException

      Serializes an execution context to the provided `OutputStream`. The stream is not closed prior to it's return.
      Specified by:
        `serialize` in interface `org.springframework.core.serializer.Serializer<java.util.Map<java.lang.String,java.lang.Object>>`
      Parameters:
        `context` - `Map` contents of the `ExecutionContext`.
        `out` - `OutputStream` where the serialized context information will be written.
      Throws:
        `java.io.IOException`

    - #### deserialize

          public java.util.Map<java.lang.String,java.lang.Object> deserialize(java.io.InputStream inputStream)
                                                                       throws java.io.IOException

      Deserializes an execution context from the provided `InputStream`.
      Specified by:
        `deserialize` in interface `org.springframework.core.serializer.Deserializer<java.util.Map<java.lang.String,java.lang.Object>>`
      Parameters:
        `inputStream` - `InputStream` containing the information to be deserialized.
      Returns:
        the object serialized in the provided `InputStream`
      Throws:
        `java.io.IOException`